Cards, prop trading & accounting
Get Credential Masked
Returns one org credential's safe metadata with decrypted values masked; flags decryption failure.
GEThttps://api.toku.com/stablecoin-payroll/get-credential-masked
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-credential-masked?credentialsID=%3CcredentialsID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"credential": {
"credentialsID": "string",
"name": "string",
"type": "string",
"orgID": "string",
"isEmployeeIntegration": true,
"isPayrollIntegration": true,
"autoSyncEnabled": true,
"isExpired": true,
"refreshing": true,
"nextRefreshAt": "string",
"createdAt": "string",
"updatedAt": "string",
"details": {},
"maskedData": {},
"decryptionError": true
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
credentialsIDstringrequiredResponse
200Successful response
credentialobjectrequiredShow child attributes
credentialsIDstringrequirednamestring | nullrequiredtypestringrequiredorgIDstringrequiredisEmployeeIntegrationboolean | nullrequiredisPayrollIntegrationboolean | nullrequiredautoSyncEnabledboolean | nullrequiredisExpiredboolean | nullrequiredrefreshingboolean | nullrequirednextRefreshAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequireddetailsobject | nullrequiredmaskedDataobjectrequireddecryptionErrorboolean400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits